﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __InvoiceHeader = LightSwitchApplication.InvoiceHeader

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class InvoiceHeader
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __InvoiceHeader, __InvoiceHeader.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the InvoiceHeader entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __InvoiceHeader))
            MyBase.New(entitySet)
            
            __InvoiceHeader.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceHeader_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceHeader_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __InvoiceHeader.DetailsClass.GetValue(Me, __InvoiceHeader.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __InvoiceHeader.DetailsClass.SetValue(Me, __InvoiceHeader.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __InvoiceHeader.DetailsClass.GetValue(Me, __InvoiceHeader.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __InvoiceHeader.DetailsClass.SetValue(Me, __InvoiceHeader.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property InvoiceNumber As String
            Get
                Return __InvoiceHeader.DetailsClass.GetValue(Me, __InvoiceHeader.DetailsClass.PropertySetProperties.InvoiceNumber)
            End Get
            Set
                __InvoiceHeader.DetailsClass.SetValue(Me, __InvoiceHeader.DetailsClass.PropertySetProperties.InvoiceNumber, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceNumber_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceNumber_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceNumber_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property InvoiceDate As Date
            Get
                Return __InvoiceHeader.DetailsClass.GetValue(Me, __InvoiceHeader.DetailsClass.PropertySetProperties.InvoiceDate)
            End Get
            Set
                __InvoiceHeader.DetailsClass.SetValue(Me, __InvoiceHeader.DetailsClass.PropertySetProperties.InvoiceDate, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceDate_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceDate_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceDate_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property InvoiceTotal As Decimal
            Get
                Return __InvoiceHeader.DetailsClass.GetValue(Me, __InvoiceHeader.DetailsClass.PropertySetProperties.InvoiceTotal)
            End Get
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceTotal_Compute(ByRef result As Decimal)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceTotal_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property AmountDue As Decimal
            Get
                Return __InvoiceHeader.DetailsClass.GetValue(Me, __InvoiceHeader.DetailsClass.PropertySetProperties.AmountDue)
            End Get
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub AmountDue_Compute(ByRef result As Decimal)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub AmountDue_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property AmountPaid As Decimal
            Get
                Return __InvoiceHeader.DetailsClass.GetValue(Me, __InvoiceHeader.DetailsClass.PropertySetProperties.AmountPaid)
            End Get
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub AmountPaid_Compute(ByRef result As Decimal)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub AmountPaid_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Supplier As Global.LightSwitchApplication.Supplier
            Get
                Return __InvoiceHeader.DetailsClass.GetValue(Me, __InvoiceHeader.DetailsClass.PropertySetProperties.Supplier)
            End Get
            Set
                __InvoiceHeader.DetailsClass.SetValue(Me, __InvoiceHeader.DetailsClass.PropertySetProperties.Supplier, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Supplier_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Supplier_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Supplier_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property InvoiceDetails As Global.Microsoft.LightSwitch.Framework.EntityCollection(Of Global.LightSwitchApplication.InvoiceDetail)
            Get
                Return __InvoiceHeader.DetailsClass.GetValue(Me, __InvoiceHeader.DetailsClass.PropertySetProperties.InvoiceDetails)
            End Get
        End Property
        
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property InvoiceDetailsQuery As Microsoft.LightSwitch.IDataServiceQueryable(Of Global.LightSwitchApplication.InvoiceDetail)
            Get
                Return __InvoiceHeader.DetailsClass.GetQuery(Me, __InvoiceHeader.DetailsClass.PropertySetProperties.InvoiceDetails)
            End Get
        End Property

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property InvoicePayments As Global.Microsoft.LightSwitch.Framework.EntityCollection(Of Global.LightSwitchApplication.InvoicePayment)
            Get
                Return __InvoiceHeader.DetailsClass.GetValue(Me, __InvoiceHeader.DetailsClass.PropertySetProperties.InvoicePayments)
            End Get
        End Property
        
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property InvoicePaymentsQuery As Microsoft.LightSwitch.IDataServiceQueryable(Of Global.LightSwitchApplication.InvoicePayment)
            Get
                Return __InvoiceHeader.DetailsClass.GetQuery(Me, __InvoiceHeader.DetailsClass.PropertySetProperties.InvoicePayments)
            End Get
        End Property

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __InvoiceHeader, _
                __InvoiceHeader.DetailsClass, _
                __InvoiceHeader.DetailsClass.IImplementation, _
                __InvoiceHeader.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __InvoiceHeader, __InvoiceHeader.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __InvoiceHeader, __InvoiceHeader.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __InvoiceHeader.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __InvoiceHeaderEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __InvoiceHeader, __InvoiceHeader.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __InvoiceHeader, __InvoiceHeader.DetailsClass).Entry( _
                    AddressOf __InvoiceHeader.DetailsClass.__InvoiceHeader_CreateNew, _
                    AddressOf __InvoiceHeader.DetailsClass.__InvoiceHeader_Created, _
                    AddressOf __InvoiceHeader.DetailsClass.__InvoiceHeader_AllowSaveWithErrors)
            Private Shared Function __InvoiceHeader_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __InvoiceHeader)) As __InvoiceHeader
                Return New __InvoiceHeader(es)
            End Function
            Private Shared Sub __InvoiceHeader_Created(e As __InvoiceHeader)
                e.InvoiceHeader_Created()
            End Sub
            Private Shared Function __InvoiceHeader_AllowSaveWithErrors(e As __InvoiceHeader) As Boolean
                Dim result As Boolean = False
                e.InvoiceHeader_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __InvoiceHeader, __InvoiceHeader.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __InvoiceHeader, __InvoiceHeader.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __InvoiceHeader.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __InvoiceHeader, __InvoiceHeader.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoiceHeader.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoiceHeader.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property InvoiceNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoiceHeader.DetailsClass.PropertySetProperties.InvoiceNumber),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property InvoiceDate As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Date)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoiceHeader.DetailsClass.PropertySetProperties.InvoiceDate),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Date))
                    End Get
                End Property
                
                Public ReadOnly Property InvoiceTotal As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoiceHeader.DetailsClass.PropertySetProperties.InvoiceTotal),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property AmountDue As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoiceHeader.DetailsClass.PropertySetProperties.AmountDue),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property AmountPaid As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoiceHeader.DetailsClass.PropertySetProperties.AmountPaid),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property Supplier As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.Supplier)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoiceHeader.DetailsClass.PropertySetProperties.Supplier),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.Supplier))
                    End Get
                End Property
                
                Public ReadOnly Property InvoiceDetails As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.InvoiceDetail)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoiceHeader.DetailsClass.PropertySetProperties.InvoiceDetails),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.InvoiceDetail))
                    End Get
                End Property
                
                Public ReadOnly Property InvoicePayments As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.InvoicePayment)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoiceHeader.DetailsClass.PropertySetProperties.InvoicePayments),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.InvoicePayment))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property InvoiceNumber As String
                Shadows Property InvoiceDate As Date
                Shadows Property Supplier As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                Shadows ReadOnly Property InvoiceDetails As Global.System.Collections.IEnumerable
                Shadows ReadOnly Property InvoicePayments As Global.System.Collections.IEnumerable
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoiceHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Integer).Data), d As __InvoiceHeader.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __InvoiceHeader) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __InvoiceHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __InvoiceHeader.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __InvoiceHeader.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __InvoiceHeader)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoiceHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Byte()).Data), d As __InvoiceHeader.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __InvoiceHeader) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __InvoiceHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __InvoiceHeader.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __InvoiceHeader.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __InvoiceHeader)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly InvoiceNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, String).Entry( _
                        "InvoiceNumber", _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceNumber_Stub, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceNumber_ComputeIsReadOnly, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceNumber_Validate, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceNumber_GetImplementationValue, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceNumber_SetImplementationValue, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceNumber_OnValueChanged)
                Private Shared Sub _InvoiceNumber_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoiceHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, String).Data), d As __InvoiceHeader.DetailsClass, sf As Object)
                    c(d, d._InvoiceNumber, sf)
                End Sub
                Private Shared Function _InvoiceNumber_ComputeIsReadOnly(e As __InvoiceHeader) As Boolean
                    Dim result As Boolean = False
                    e.InvoiceNumber_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _InvoiceNumber_Validate(e As __InvoiceHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.InvoiceNumber_Validate(r)
                End Sub
                Private Shared Function _InvoiceNumber_GetImplementationValue(d As __InvoiceHeader.DetailsClass) As String
                    Return d.ImplementationEntity.InvoiceNumber
                End Function
                Private Shared Sub _InvoiceNumber_SetImplementationValue(d As __InvoiceHeader.DetailsClass, v As String)
                    d.ImplementationEntity.InvoiceNumber = v
                End Sub
                Private Shared Sub _InvoiceNumber_OnValueChanged(e As __InvoiceHeader)
                    e.InvoiceNumber_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly InvoiceDate As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Date).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Date).Entry( _
                        "InvoiceDate", _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceDate_Stub, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceDate_ComputeIsReadOnly, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceDate_Validate, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceDate_GetImplementationValue, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceDate_SetImplementationValue, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceDate_OnValueChanged)
                Private Shared Sub _InvoiceDate_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoiceHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Date).Data), d As __InvoiceHeader.DetailsClass, sf As Object)
                    c(d, d._InvoiceDate, sf)
                End Sub
                Private Shared Function _InvoiceDate_ComputeIsReadOnly(e As __InvoiceHeader) As Boolean
                    Dim result As Boolean = False
                    e.InvoiceDate_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _InvoiceDate_Validate(e As __InvoiceHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.InvoiceDate_Validate(r)
                End Sub
                Private Shared Function _InvoiceDate_GetImplementationValue(d As __InvoiceHeader.DetailsClass) As Date
                    Return d.ImplementationEntity.InvoiceDate
                End Function
                Private Shared Sub _InvoiceDate_SetImplementationValue(d As __InvoiceHeader.DetailsClass, v As Date)
                    d.ImplementationEntity.InvoiceDate = __InvoiceHeader.DetailsClass.TruncateDate(v)
                End Sub
                Private Shared Sub _InvoiceDate_OnValueChanged(e As __InvoiceHeader)
                    e.InvoiceDate_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly InvoiceTotal As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal).Entry( _
                        "InvoiceTotal", _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceTotal_Stub, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceTotal_Validate, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceTotal_ComputeValue)
                Private Shared Sub _InvoiceTotal_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoiceHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal).Data), d As __InvoiceHeader.DetailsClass, sf As Object)
                    c(d, d._InvoiceTotal, sf)
                End Sub
                Private Shared Sub _InvoiceTotal_Validate(e As __InvoiceHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.InvoiceTotal_Validate(r)
                End Sub
                Private Shared Function _InvoiceTotal_ComputeValue(e As __InvoiceHeader) As Decimal
                    Dim value As Decimal = Nothing
                    e.InvoiceTotal_Compute(value)
                    Return value
                End Function
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly AmountDue As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal).Entry( _
                        "AmountDue", _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._AmountDue_Stub, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._AmountDue_Validate, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._AmountDue_ComputeValue)
                Private Shared Sub _AmountDue_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoiceHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal).Data), d As __InvoiceHeader.DetailsClass, sf As Object)
                    c(d, d._AmountDue, sf)
                End Sub
                Private Shared Sub _AmountDue_Validate(e As __InvoiceHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.AmountDue_Validate(r)
                End Sub
                Private Shared Function _AmountDue_ComputeValue(e As __InvoiceHeader) As Decimal
                    Dim value As Decimal = Nothing
                    e.AmountDue_Compute(value)
                    Return value
                End Function
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly AmountPaid As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal).Entry( _
                        "AmountPaid", _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._AmountPaid_Stub, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._AmountPaid_Validate, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._AmountPaid_ComputeValue)
                Private Shared Sub _AmountPaid_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoiceHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal).Data), d As __InvoiceHeader.DetailsClass, sf As Object)
                    c(d, d._AmountPaid, sf)
                End Sub
                Private Shared Sub _AmountPaid_Validate(e As __InvoiceHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.AmountPaid_Validate(r)
                End Sub
                Private Shared Function _AmountPaid_ComputeValue(e As __InvoiceHeader) As Decimal
                    Dim value As Decimal = Nothing
                    e.AmountPaid_Compute(value)
                    Return value
                End Function
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Supplier As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.Supplier).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.Supplier).Entry( _
                        "Supplier", _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._Supplier_Stub, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._Supplier_ComputeIsReadOnly, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._Supplier_Validate, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._Supplier_GetCoreImplementationValue, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._Supplier_GetImplementationValue, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._Supplier_SetImplementationValue, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._Supplier_Refresh, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._Supplier_OnValueChanged)
                Private Shared Sub _Supplier_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoiceHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.Supplier).Data), d As __InvoiceHeader.DetailsClass, sf As Object)
                    c(d, d._Supplier, sf)
                End Sub
                Private Shared Function _Supplier_ComputeIsReadOnly(e As __InvoiceHeader) As Boolean
                    Dim result As Boolean = False
                    e.Supplier_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Supplier_Validate(e As __InvoiceHeader, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Supplier_Validate(r)
                End Sub
                Private Shared Function _Supplier_GetCoreImplementationValue(d as __InvoiceHeader.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.Supplier
                End Function
                Private Shared Function _Supplier_GetImplementationValue(d as __InvoiceHeader.DetailsClass) As Global.LightSwitchApplication.Supplier
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.Supplier, Global.LightSwitchApplication.Supplier.DetailsClass)(__InvoiceHeader.DetailsClass.PropertySetProperties.Supplier, d._Supplier)
                End Function
                Private Shared Sub _Supplier_SetImplementationValue(d As __InvoiceHeader.DetailsClass, v As Global.LightSwitchApplication.Supplier)
                    d.SetImplementationValue(__InvoiceHeader.DetailsClass.PropertySetProperties.Supplier, d._Supplier, Sub(i, ev) i.Supplier = ev, v)
                End Sub
                Private Shared Sub _Supplier_Refresh(d As __InvoiceHeader.DetailsClass)
                    d.RefreshNavigationProperty(__InvoiceHeader.DetailsClass.PropertySetProperties.Supplier, d._Supplier)
                End Sub
                Private Shared Sub _Supplier_OnValueChanged(e As __InvoiceHeader)
                    e.Supplier_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly InvoiceDetails As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.InvoiceDetail).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.InvoiceDetail).Entry( _
                        "InvoiceDetails", _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceDetails_Stub, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceDetails_GetReferencedEntities, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoiceDetails_GetEntityCollection)
                Private Shared Sub _InvoiceDetails_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoiceHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.InvoiceDetail).Data), d As __InvoiceHeader.DetailsClass, sf As Object)
                    c(d, d._InvoiceDetails, sf)
                End Sub
                Private Shared Function _InvoiceDetails_GetReferencedEntities(d As __InvoiceHeader.DetailsClass) As Global.System.Collections.Generic.IEnumerable(Of Global.LightSwitchApplication.InvoiceDetail)
                    Return d.GetReferencedEntities(Of Global.LightSwitchApplication.InvoiceDetail, Global.LightSwitchApplication.InvoiceDetail.DetailsClass)(__InvoiceHeader.DetailsClass.PropertySetProperties.InvoiceDetails, d._InvoiceDetails)
                End Function
                Private Shared Function _InvoiceDetails_GetEntityCollection(d As __InvoiceHeader.DetailsClass) As Global.System.Collections.IEnumerable
                    Return d.ImplementationEntity.InvoiceDetails
                End Function
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly InvoicePayments As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.InvoicePayment).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.InvoicePayment).Entry( _
                        "InvoicePayments", _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoicePayments_Stub, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoicePayments_GetReferencedEntities, _
                        AddressOf __InvoiceHeader.DetailsClass.PropertySetProperties._InvoicePayments_GetEntityCollection)
                Private Shared Sub _InvoicePayments_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoiceHeader.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.InvoicePayment).Data), d As __InvoiceHeader.DetailsClass, sf As Object)
                    c(d, d._InvoicePayments, sf)
                End Sub
                Private Shared Function _InvoicePayments_GetReferencedEntities(d As __InvoiceHeader.DetailsClass) As Global.System.Collections.Generic.IEnumerable(Of Global.LightSwitchApplication.InvoicePayment)
                    Return d.GetReferencedEntities(Of Global.LightSwitchApplication.InvoicePayment, Global.LightSwitchApplication.InvoicePayment.DetailsClass)(__InvoiceHeader.DetailsClass.PropertySetProperties.InvoicePayments, d._InvoicePayments)
                End Function
                Private Shared Function _InvoicePayments_GetEntityCollection(d As __InvoiceHeader.DetailsClass) As Global.System.Collections.IEnumerable
                    Return d.ImplementationEntity.InvoicePayments
                End Function
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _InvoiceNumber As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _InvoiceDate As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Date).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _InvoiceTotal As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _AmountDue As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _AmountPaid As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Supplier As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.Supplier).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _InvoiceDetails As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.InvoiceDetail).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _InvoicePayments As Global.Microsoft.LightSwitch.Details.Framework.EntityCollectionProperty(Of __InvoiceHeader, __InvoiceHeader.DetailsClass, Global.LightSwitchApplication.InvoicePayment).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
